<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Database..::.Convert Method
Database Class See Also Send Feedback

Convert all of the databases included in the file file to the byte order use_big_endian, if necessary. If no conversion is necessary, Convert always returns successfully. If the database is partitioned, cfg must contain the correct partition configuration in order to convert database partitions.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#

    public static void Convert(
    	string file,
    	DatabaseConfig cfg,
    	bool useBigEndian
    )

Visual Basic (Declaration)

    Public Shared Sub Convert ( _
    	file As String, _
    	cfg As DatabaseConfig, _
    	useBigEndian As Boolean _
    )

Visual C++

    public:
    static void Convert(
    	String^ file,
    	DatabaseConfig^ cfg,
    	bool useBigEndian
    )

#### Parameters

file
  Type: System..::.String
  The physical file containing the databases to be converted.

cfg
  Type: BerkeleyDB..::.DatabaseConfig
  Configuration parameters for the databases to be converted.

useBigEndian
  Type: System..::.Boolean
  If true, the databases are converted to big-endian; otherwise they are converted to little-endian.

# See Also

Database Class
BerkeleyDB Namespace